Bug 1174989 - GProject geany plugin fails to display icons
Summary: GProject geany plugin fails to display icons
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: geany-plugins
Version: 21
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-16 22:12 UTC by Van de Bugger
Modified: 2015-08-10 10:07 UTC (History)
3 users (show)

Fixed In Version: geany-plugins-1.25-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-10 19:12:41 UTC
Type: Bug


Attachments (Terms of Use)

Description Van de Bugger 2014-12-16 22:12:43 UTC
Description of problem:

GProject, a geany plugin, fails to display its icons in the top of "Project" tab of sidebar. Instead of 4 color icons it shows 4 gray placeholders.

Version-Release number of selected component (if applicable):

geany 1.24.1-3.fc21
geany-plugins-gproject 1.24-3.fc21

How reproducible:

Always.

Steps to Reproduce:
1. yum install geany
2. yum install geany-plugins-gproject
3. Start geany.
4. Enable GProject plugin via Tools -> Plugin manager.
5. Open or create a project.
6. Open "Project" tab in sidebar. 

Actual results:

At the top should be 4 color icons: Reload all (blue round arrow), Expand all (green plus), Collapse all (red minus), Follow active editor (yellow right arrow). 

Expected results:

Instead of color icons, there are 4 plaseholders: gray stylized images of empty picture frame.

Additional info:

geany-plugins-gproject RPM package installs required icons to /usr/share/icons/hicolor/ directory, so icons are in the system, but GProject fails to display them. If I run the command (from root account):

    # gtk-update-icon-cache /usr/share/icons/hicolor/

and restart geany, everything is ok: GProject displays color icons.

It seems this command should be added to post-install (and post-uninstall) scriplet of the RPM package.

Comment 1 Fedora Update System 2015-06-25 22:41:57 UTC
geany-plugins-1.24-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/geany-plugins-1.24-4.fc22

Comment 2 Fedora Update System 2015-06-25 22:42:04 UTC
geany-plugins-1.24-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/geany-plugins-1.24-4.fc21

Comment 3 Dominic Hopf 2015-06-25 22:44:32 UTC
Please excuse my late reaction on this issue. It seems I just overlooked this issue within a hundred of other bugs. :(

The update mentioned above should fix your issue. Please feel free to check it out and confirm. :)

Comment 4 Fedora Update System 2015-06-26 20:31:33 UTC
Package geany-plugins-1.24-4.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing geany-plugins-1.24-4.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10785/geany-plugins-1.24-4.fc22
then log in and leave karma (feedback).

Comment 5 Van de Bugger 2015-06-28 11:33:08 UTC
The new rpm does not work for me. The bug is not fixed. geany-plugins-gproject-1.24-4.fc22.x86_64.rpm does not have any scriplets:

> $ rpm -q --scripts -p geany-plugins-gproject-1.24-4.fc22.x86_64.rpm 
>

I see you have added this to the end of spec:

> %post
> gtk-update-icon-cache -qf %{_datadir}/icons/hicolor &>/dev/null || :
> 
> %postun
> gtk-update-icon-cache -qf %{_datadir}/icons/hicolor &>/dev/null || :

It seems %post and %postun do not have effect on subpackage. I guess it should be written as

> %post gproject
> gtk-update-icon-cache -qf %{_datadir}/icons/hicolor &>/dev/null || :
> 
> %postun gproject
> gtk-update-icon-cache -qf %{_datadir}/icons/hicolor &>/dev/null || :

Comment 6 Fedora Update System 2015-07-10 19:12:41 UTC
geany-plugins-1.24-5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-07-27 21:15:14 UTC
geany-plugins-1.25-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/geany-plugins-1.25-1.fc22

Comment 8 Fedora Update System 2015-07-27 21:15:25 UTC
geany-plugins-1.25-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/geany-plugins-1.25-1.fc21

Comment 9 Fedora Update System 2015-08-10 09:59:35 UTC
geany-plugins-1.25-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-08-10 10:07:50 UTC
geany-plugins-1.25-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.